#!/bin/sh

host=client
ip netns exec ${host} tc qdisc replace dev ${host}.l root fq_codel

# server

host=server
ip netns exec ${host} tc qdisc replace dev ${host}.r root fq

# delay

host=delay
ip netns exec ${host} tc qdisc replace dev ${host}.r root netem delay 10ms
ip netns exec ${host} tc qdisc replace dev ${host}.l root netem delay 10ms

# middlebox with ATM framing

host=mbox
ip netns exec ${host} tc qdisc replace dev ${host}.r root netem rate 15mbit 0 48 5
ip netns exec ${host} tc qdisc replace dev ${host}.l root netem rate 1mbit 0 48 5
