#!/usr/bin/sh

ack=ack-filter-aggressive
rtt=internet

for ack in no-ack-filter ack-filter ack-filter-aggressive
do
	for rtt in internet oceanic satellite
	do
		sed "/cake/s/ethernet .*/ethernet ${rtt} ${ack}/g" -i vcake.sh
		sleep 1
		./vcake.sh
		sleep 1
		
		ip netns exec client flent -s 0.61 -H 10.10.0.1 --test-parameter cpu_stats_hosts=localhost -t rrul_irtt_cakeeth_${rtt}_ds3_delay600ms_900mbit_45mbit_${ack} rrul

		ip netns exec delay tc -s qdisc show >> rrul_irtt_cakeeth_${rtt}_ds3_delay600ms_900mbit_45mbit_${ack}.txt
		echo "================" >> rrul_irtt_cakeeth_${rtt}_ds3_delay600ms_900mbit_45mbit_${ack}.txt
		echo "================" >> rrul_irtt_cakeeth_${rtt}_ds3_delay600ms_900mbit_45mbit_${ack}.txt

		ip netns exec mbox tc -s qdisc show >> rrul_irtt_cakeeth_${rtt}_ds3_delay600ms_900mbit_45mbit_${ack}.txt
	done
done
exit 0





rtt=oceanic
sed "/cake/s/ethernet .*/ethenet ${rtt} ${ack}/g" -i vcake.sh
./vcake.sh

ip netns exec client flent -s 0.61 -H 10.10.0.1 --test-parameter cpu_stats_hosts=localhost -t rrul_irtt_cakeeth_${rtt2}_ds3_delay600ms_900mbit_45mbit_${ack} rrul

ip netns exec delay tc -s qdisc show >> rrul_irtt_cakeeth_${rtt2}_ds3_delay600ms_900mbit_45mbit_${ack}.txt

ip netns exec mbox tc -s qdisc show >> rrul_irtt_cakeeth_${rtt2}_ds3_delay600ms_900mbit_45mbit_${ack}.txt



rtt=satellite
sed "/cake/s/ethernet .*/ethenet ${rtt} ${ack}/g" -i vcake.sh
./vcake.sh

ip netns exec client flent -s 0.61 -H 10.10.0.1 --test-parameter cpu_stats_hosts=localhost -t rrul_irtt_cakeeth_${rtt}_ds3_delay600ms_900mbit_45mbit_${ack} rrul

ip netns exec delay tc -s qdisc show >> rrul_irtt_cakeeth_${rtt}_ds3_delay600ms_900mbit_45mbit_${ack}.txt

ip netns exec mbox tc -s qdisc show >> rrul_irtt_cakeeth_${rtt}_ds3_delay600ms_900mbit_45mbit_${ack}.txt

exit 0
