#!/bin/sh

host=client
ip netns exec ${host} $TC qdisc replace dev ${host}.l root fq_codel

# server

host=server
ip netns exec ${host} $TC qdisc replace dev ${host}.r root fq

# delay

host=delay
ip netns exec ${host} $TC qdisc replace dev ${host}.r root netem delay 10ms
ip netns exec ${host} $TC qdisc replace dev ${host}.l root netem delay 10ms

# middlebox with slots

host=mbox
ip netns exec ${host} $TC qdisc del dev ${host}.r root
ip netns exec ${host} $TC qdisc del dev ${host}.l root
ip netns exec ${host} $TC qdisc replace dev ${host}.r root netem delay 5ns slot 5ms
ip netns exec ${host} $TC qdisc replace dev ${host}.l root netem delay 5ns slot 5ms
