#!/bin/sh
set -x

host=client
ip netns exec ${host} tc qdisc replace dev ${host}.l root pfifo

# server

host=server
for i in {0..3} 
do
	ip netns exec ${host}${i} tc qdisc replace dev ${host}${i}.r root pfifo
done

# delay

host=delay
for i in {0..3}
do
	ip netns exec ${host} tc qdisc del dev ${host}${i}.l root
	ip netns exec ${host} tc qdisc replace dev ${host}${i}.l root handle 1:0 netem delay 10ms limit 100000
done
	ip netns exec ${host} tc qdisc del dev ${host}.r root
	ip netns exec ${host} tc qdisc replace dev ${host}.r root handle 1:0 netem delay 10ms limit 100000

# middlebox

host=isp
ip netns exec ${host} tc qdisc del dev ${host}.l root
ip netns exec ${host} tc qdisc del dev ${host}.r root
ip netns exec ${host} tc qdisc replace dev ${host}.l root handle 1:0 netem rate 2mbit limit 100000
ip netns exec ${host} tc qdisc replace dev ${host}.r root handle 1:0 netem rate 10mbit limit 100000
ip netns exec ${host} tc qdisc replace dev ${host}.r parent 1:1 handle 10:1 bfifo limit 1024k

host=mbox
ip netns exec ${host} tc qdisc del dev ${host}.l root
ip netns exec ${host} tc qdisc del dev ${host}.r root
ip netns exec ${host} tc qdisc replace dev ${host}.l root handle 1:0 cake bandwidth 1.8mbit ack-filter
ip netns exec ${host} tc qdisc replace dev ${host}.r root handle 1:0 cake bandwidth 9mbit ack-filter ingress
#ip netns exec ${host} tc qdisc replace dev ${host}.r root handle 1:0 htb default 1
#ip netns exec ${host} tc qdisc replace dev ${host}.l root handle 1:0 htb default 1
#ip netns exec ${host} tc class replace dev ${host}.r classid 1:1 htb rate 9mbit
#ip netns exec ${host} tc class replace dev ${host}.l classid 1:1 htb rate 1.8mbit
#ip netns exec ${host} tc qdisc replace dev ${host}.r parent 1:1 handle 10:1 fq_codel
#ip netns exec ${host} tc qdisc replace dev ${host}.l parent 1:1 handle 10:1 fq_codel
# let me ping localhost

#. ./settings.example
#
#for host in $HOSTS
#do
#ip netns exec ${host} ifconfig lo up
#ip netns exec ${host} sysctl -w net.ipv4.tcp_ecn=0
#done
