#!/bin/bash

set -x

. ./settings.example

# Remove veth pairs and network namespaces
for host in $HOSTS ; do
    ip netns exec ${host} ip link del dev ${host}.l 2> /dev/null
    ip netns exec ${host} ip link del dev ${host}.r 2> /dev/null
    ip link del dev ${host}.l 2> /dev/null
    ip link del dev ${host}.r 2> /dev/null
    ip netns del ${host}
done

